Subject: bug#43645: 26.3; emacsclient -c does not open to correct window

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Sep 2020 19:33:35 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 27 Sep 2020 18:21:27 +0200
> 
> >> When I do this, I get a new Emacs frame with the *scratch* buffer
> >> displayed
> >
> > Does this happen even if the second invocation of emacsclient uses a
> > different file name, not the same test.txt as the first one?
> 
> No, if I say "emacsclient -c foo.txt", then a new frame is popped up
> displaying the foo.txt buffer.

So I think (a) this is a corner and unimportant use case, and (b) it
probably has something to do with how we select a buffer to display
when 2 buffers are already on display and the user requests to see one
of them.